Bug 447299 - bluetooth-properties crashes when trying to pair with bluetooth mouse [NEEDINFO]
bluetooth-properties crashes when trying to pair with bluetooth mouse
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez-gnome (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 08:30 EDT by Dawid Lorenz
Modified: 2009-07-14 11:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:04:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: needinfo? (adlorenz)


Attachments (Terms of Use)
Bug buddy crash report (232.05 KB, text/plain)
2008-05-19 08:30 EDT, Dawid Lorenz
no flags Details
Backtrace of bluetooth-properties crash (4.55 KB, text/plain)
2008-05-21 14:49 EDT, Dawid Lorenz
no flags Details

  None (edit)
Description Dawid Lorenz 2008-05-19 08:30:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
I have Microsoft Bluetooth Notebook Mouse 5000, and after installing Fedora 9 I tried to pair it with my bluetooth-enabled laptop through GUI. Bluetooth Preferences dialog -> Services tab -> Input service -> Add. When my mouse it detected, I click Connect button, and then application crashes. Bug-buddy report attached, there is also trace in system log that says:

May 18 00:33:23 D620 hcid[4029]: Hangup or error on HIDP control socket

Version-Release number of selected component (if applicable):
Initial release of F9 final, with no updates applied

How reproducible:
Always


Steps to Reproduce:
As above.

Actual Results:
bluetooth-properties application crashes, and mouse doesn't get bonded with computer.

Expected Results:
Bluetooth mouse should get connected and bonded with computer for future use.

Additional info:
I am able to connect with mouse using command line:

hidd --connect xx:xx:xx:xx:xx:xx --server

That way mouse also gets bonded and is visible in GUI/Input service dialog as present and connected.
Comment 1 Dawid Lorenz 2008-05-19 08:30:55 EDT
Created attachment 305933 [details]
Bug buddy crash report
Comment 2 Ondrej Vasik 2008-05-19 09:10:19 EDT
Reassigning to bluez-gnome.
Comment 3 Bastien Nocera 2008-05-19 09:26:17 EDT
The crash report is in mini-dump format. Please follow the instructions at
http://fedoraproject.org/wiki/StackTraces to gather a useful backtrace of the crash.

Running bluetooth-properties in a terminal and gathering the log would also be
helpful.
Comment 4 Dawid Lorenz 2008-05-21 14:49:04 EDT
Created attachment 306300 [details]
Backtrace of bluetooth-properties crash
Comment 5 Bastien Nocera 2008-05-22 04:00:09 EDT
Could you please do the same thing with the debugging symbols installed as
explained in
http://fedoraproject.org/wiki/StackTraces#head-ab3f55f27c6d25af95084cef6c25c1475990f2ec
Comment 6 Dawid Lorenz 2008-05-22 04:19:45 EDT
I have installed bluetooth-properties-debuginfo package before doing that
backtrace. Is there still something missing?
Comment 7 Bastien Nocera 2008-05-22 04:30:21 EDT
Yes please, you need to install the dependencies' debuginfo as well, to get a
full backtrace (currently there's no line numbers, or source file listed in the
backtrace).

Use "debuginfo-install bluez-gnome.i386" as root to install the necessary packages.
Comment 8 Dawid Lorenz 2008-05-22 04:35:50 EDT
OK, I'll try to do that once I'm back on my home/F9 machine.
Comment 9 Bug Zapper 2009-06-09 21:00:14 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 11:04:19 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.